## node-mysticatea-eslint-plugin 12.0.0~ds

=== debian/changelog ===
node-mysticatea-eslint-plugin (12.0.0~ds-3) unstable; urgency=medium

  * Team upload.
  * d/clean: Add files to be cleaned. Closes: #1049289.
  * d/control: Drop <!nocheck> from mocha. Closes: #1116819.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Oct 2025 11:40:00 +0200

node-mysticatea-eslint-plugin (12.0.0~ds-2) unstable; urgency=medium

  * Team upload
  * autopkgtest: allow-stderr

 -- Jérémy Lal <kapouer@melix.org>  Thu, 21 Aug 2025 14:19:42 +0200

node-mysticatea-eslint-plugin (12.0.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop obsolete patch 2007
  * update and unfuzz patches
  * generate documentation with cmark-gfm (not pandoc);
    build-depend on cmark-gfm (not pandoc)
  * update git-buildpackage config: add usage comment
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.0
  * update test coverage
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2022 16:27:13 +0100

node-mysticatea-eslint-plugin (11.0.0~ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Sep 2021 17:05:21 +0100
