=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ cmark-gfm <!nodoc>,
+ debhelper-compat (= 13),
  eslint <!nocheck> <!pkg.eslint.stage1>,
- mocha <!nocheck>,
+ mocha,
  node-eslint-plugin-es <!nocheck> <!pkg.eslint.stage1>,
  node-eslint-plugin-eslint-plugin <!nocheck> <!pkg.eslint.stage1>,
  node-eslint-plugin-node (>= 9.1.0~) <!nocheck> <!pkg.eslint.stage1>,
  node-fs-extra,
  node-globals,
  nodejs,
- pandoc <!nodoc>,
  perl <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/mysticatea/eslint-plugin
 Vcs-Browser: https://salsa.debian.org/js-team/node-mysticatea-eslint-plugin
 Vcs-Git: https://salsa.debian.org/js-team/node-mysticatea-eslint-plugin.git
-Rules-Requires-Root: no
 
 Package: node-mysticatea-eslint-plugin
 Architecture: all
